Subject: Re: [Sigtran] M2PA:Questions on sequence number

From: [email-masked]
Date: Tue, 28 May 2002 14:09:34 -0400

Hello Brian,

Are you a lawyer, by any chance? ;-)

The draft should continue to say that the link is taken out of service upon
the reception of one (1)
user data message having invalid FSN (no gaps or repeats allowed).

I remain unconvinced that the procedures described by Q.703 need to be
added
to M2PA. Such an addition would unnecessarily duplicate SCTP functionality,
would
add complexity, and would provide little added value.

Regards,

Jeff

"Brian F. G. Bidulock" <[email-masked]>@ietf.org on 05/28/2002
10:04:13 AM

Please respond to [email-masked]

Sent by:  [email-masked]

To:   [email-masked]
cc:   [email-masked]
Subject:  Re: [Sigtran] M2PA:Questions on sequence number

Jeffrey,

"Some number" might be one (1).

--brian

[email-masked] wrote:                    (Tue, 28 May 2002
07:48:50)
>
> Brian,
>
> Why 'some number' of abnormal FSNs? It is SCTP's job to provide reliable
> in-sequence
> transport. Reception of a single bad M2PA FSN should result in link
> failure.
>
> Are the authors now contemplating applying M2PA to non-reliable
> transport(s)?
>
> I think it is a bad idea to add unnecessary complexity to M2PA by
> duplicating (even more)
> SCTP functionality.
>
> -Jeff
>
>
>
>
>
>
> "Brian F. G. Bidulock" <[email-masked]>@ietf.org on 05/27/2002
> 01:35:23 PM
>
> Please respond to [email-masked]
>
> Sent by:  [email-masked]
>
>
> To:   Lisa Gorgone <[email-masked]>
> cc:   [email-masked]
> Subject:  Re: [Sigtran] M2PA:Questions on sequence number
>
>
> Lisa,
>
> What I really meant here was that if I receive some number
> of abnormal FSNs, I put the link out of service.  Negative
> acknowledgements are not provided for in M2PA at this time.
>
> --brian
>
> Lisa Gorgone wrote:                                          (Mon, 27 May
> 2002 15:21:23)
> >
> >
> > "Brian F. G. Bidulock" wrote:
> >
> > > >
> > > > 2)The Forward Sequence Number Received  is used to check the
correct
> > > > sequence of frames. If the FSNR is out of order which actions
should
> be
> > > > taken?
> > > >
> > > > Since the probability of this event is very low, the link could be
> > > > immediately failed.
> > >
> > > I take the same approach as abnormal FSNR in Q.703.  I believe it is
> the
> > > rational approach and should be included in the draft.
> >
> > In Q.703 a wrong FSNR invokes retransmission by inverting BIB.
> > Do you think that Fib, Bib and Retransmission should be added
> > to the draft?
> > Thanks and Regards
> > Lisa & Aldo
>
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
>
>

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran